using System;

namespace MyApp // Note: actual namespace depends on the project name.
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string broj1 = Console.ReadLine();
            string broj2 = Console.ReadLine();
            
            string rez = "";


            int rezbroj = Resi(broj1,broj2,rez);
            
            Console.WriteLine(rezbroj);
        }

        private static int Resi(string broj1, string broj2, string rez)
        {
            int delilac = 1;
            int broj11 = int.Parse(broj1);
            int broj22 = int.Parse(broj2);
            int rezbroj = 0;
            int i = 0;
            int j = 0;

            while (i < broj1.Length && j < broj2.Length)
            {
                if((broj11/delilac)%10 < (broj22 / delilac) % 10)
                {
                    rez += ((broj22 / delilac) % 10).ToString();
                    i++;j++; delilac *= 10;
                }
                else if((broj11 / delilac) % 10 == (broj22 / delilac) % 10)
                {
                    rez += ((broj22 / delilac) % 10).ToString() + ((broj22 / delilac) % 10).ToString();
                    i++; j++; delilac *= 10;
                }
                else
                {
                    rez += ((broj11 / delilac) % 10).ToString();
                    i++; j++; delilac *= 10;
                }
            }

            while (i < broj1.Length)
            {
                rez += ((broj11 / delilac) % 10).ToString();
                i++; delilac *= 10;
            }
            while (j < broj2.Length)
            {
                rez += ((broj22 / delilac) % 10).ToString();
                j++; delilac *= 10;
            }
            char[] charArray = rez.ToCharArray();
            Array.Reverse(charArray);
            rezbroj = int.Parse(new string(charArray));
            return rezbroj;
        }
    }
}